package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.LeaveMessage;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.LeaveMessageDetailModel;
import com.lightinit.hsdataplatform.model.admin.LeaveMessageListModel;
import com.lightinit.hsdataplatform.model.admin.LeaveMessageSearchModel;

import java.util.List;

public interface ILeaveMessageService {
    List<LeaveMessageListModel> getList(LeaveMessageSearchModel inputModel);

    long getListCount(LeaveMessageSearchModel inputModel);

    LeaveMessageDetailModel getDetail(Long id);

    ResultState edit(Long id, String feedbackContent, Long userId);

    ResultState delete(Long id);
}
